{

  "AbilityName" : "TestPlayer_Ability_Tianheng_04",

  "AbilityStacking": "Unique",



  "DefaultModifier" :

  {

    "OnAttackLanded" :

    [

      {

        "$type": "MoleMole.ApplyModifier",

        "ModifierName": "SummonThunderModifier"

      }

    ]

  },



  "Modifiers": 

  {

    "SummonThunderModifier": 

    {

      "ModifierStacking": "Unique",

      "Duration": 5,

      "OnAdded": 

      [

        {

          "$type" : "MoleMole.TriggerAbilityAction",

          "AbilityName" : "RandomSkill_Summon_Thunder"

        }

      ]

    }

  }



  // "DefaultModifier" :

  // {

  //   "OnAttackLanded" :

  //   [

  //     {

  //       "$type" : "MoleMole.SetAnimCtrlerParamAction",

  //       "ParamType" : 1,

  //       "ParamName" : "Trigger_Test",

  //       "Target" : "Self",

  //       "BoolVal" : true,

  //       "Predicates" :

  //       [

  //         {

  //           "$type": "MoleMole.ByAnimatorEventIDs",

  //           "AnimatorEventIDs": 

  //           [

  //             "Tsubaki_Attack_Normal_01_AttackProperty_01_Test"

  //           ]

  //         }

  //       ]

  //     }

  //   ]

  // }

}